Bug 995611 - [abrt] recutils-1.5-5.fc19: rec_db_size: Process /usr/bin/recsel was killed by signal 11 (SIGSEGV)
[abrt] recutils-1.5-5.fc19: rec_db_size: Process /usr/bin/recsel was killed b...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: recutils (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
abrt_hash:d79df65239f651cf8cf1cca8413...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 16:19 EDT by al morris
Modified: 2013-09-16 22:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 22:54:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.14 KB, text/plain)
2013-08-09 16:19 EDT, al morris
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-09 16:19 EDT, al morris
no flags Details
File: core_backtrace (1.05 KB, text/plain)
2013-08-09 16:19 EDT, al morris
no flags Details
File: dso_list (490 bytes, text/plain)
2013-08-09 16:19 EDT, al morris
no flags Details
File: environ (3.04 KB, text/plain)
2013-08-09 16:19 EDT, al morris
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-09 16:19 EDT, al morris
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-09 16:19 EDT, al morris
no flags Details
File: maps (2.07 KB, text/plain)
2013-08-09 16:19 EDT, al morris
no flags Details
File: open_fds (105 bytes, text/plain)
2013-08-09 16:19 EDT, al morris
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-08-09 16:19 EDT, al morris
no flags Details
File: var_log_messages (310 bytes, text/plain)
2013-08-09 16:19 EDT, al morris
no flags Details

  None (edit)
Description al morris 2013-08-09 16:19:09 EDT
Version-Release number of selected component:
recutils-1.5-5.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        recsel -e 'Location = \'loaned\'' -P Title test.rec
crash_function: rec_db_size
executable:     /usr/bin/recsel
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
[New LWP 2054]
Core was generated by `recsel -e Location = 'loaned' -P Title test.rec'.
Program terminated with signal 11, Segmentation fault.
#0  rec_db_size (db=db@entry=0x0) at rec-db.c:91
91	  return db->size;

Thread 1 (LWP 2054):
#0  rec_db_size (db=db@entry=0x0) at rec-db.c:91
No locals.
#1  0x0000000000404a27 in recsel_process_data (db=db@entry=0x0) at recsel.c:367
        rset_size = <optimized out>
        rset = <optimized out>
        record = 0x2414500
        n_rset = <optimized out>
        written = <optimized out>
        num_rec = <optimized out>
        writer = 0x2415960
        parse_status = false
        wrote_descriptor = <optimized out>
        iter = {mset = 0x0, list_iter = {vtable = 0x0, list = 0x6, count = 140734853600680, p = 0x0, q = 0x39c146ba9d <_IO_new_fclose+333>, i = 37831936, j = 140734853604277}}
#2  0x0000000000403129 in main (argc=<optimized out>, argv=<optimized out>) at recsel.c:555
        res = 1
        db = 0x0
From                To                  Syms Read   Shared Object Library
0x00007fdee572b210  0x00007fdee5743b3c  Yes         /lib64/librec.so.0
0x00000039c141f410  0x00000039c1561d30  Yes         /lib64/libc.so.6
0x00000039c1000ae0  0x00000039c101ac3a  Yes         /lib64/ld-linux-x86-64.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x2415960	37837152
rbx            0x0	0
rcx            0x0	0
rdx            0x2415960	37837152
rsi            0x39c17b9788	248059238280
rdi            0x0	0
rbp            0x1	0x1
rsp            0x7fff62f4d3c8	0x7fff62f4d3c8
r8             0x1	1
r9             0x3	3
r10            0x7fff62f4d190	140734853599632
r11            0x7fdee572f8b0	140595308984496
r12            0x403148	4206920
r13            0x7fff62f4d5a0	140734853600672
r14            0x0	0
r15            0x0	0
rip            0x7fdee572f8b0	0x7fdee572f8b0 <rec_db_size>
eflags         0x10202	[ IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function rec_db_size:
=> 0x00007fdee572f8b0 <+0>:	mov    (%rdi),%eax
   0x00007fdee572f8b2 <+2>:	retq   
End of assembler dump.
Comment 1 al morris 2013-08-09 16:19:12 EDT
Created attachment 784955 [details]
File: backtrace
Comment 2 al morris 2013-08-09 16:19:14 EDT
Created attachment 784956 [details]
File: cgroup
Comment 3 al morris 2013-08-09 16:19:17 EDT
Created attachment 784957 [details]
File: core_backtrace
Comment 4 al morris 2013-08-09 16:19:19 EDT
Created attachment 784958 [details]
File: dso_list
Comment 5 al morris 2013-08-09 16:19:21 EDT
Created attachment 784959 [details]
File: environ
Comment 6 al morris 2013-08-09 16:19:24 EDT
Created attachment 784960 [details]
File: exploitable
Comment 7 al morris 2013-08-09 16:19:26 EDT
Created attachment 784961 [details]
File: limits
Comment 8 al morris 2013-08-09 16:19:28 EDT
Created attachment 784962 [details]
File: maps
Comment 9 al morris 2013-08-09 16:19:30 EDT
Created attachment 784963 [details]
File: open_fds
Comment 10 al morris 2013-08-09 16:19:33 EDT
Created attachment 784964 [details]
File: proc_pid_status
Comment 11 al morris 2013-08-09 16:19:35 EDT
Created attachment 784965 [details]
File: var_log_messages
Comment 12 Daiki Ueno 2013-08-13 12:14:51 EDT
Are you able to provide the test.rec file, or more preferably a minimum subset of it, which can reproduce the problem?  That would be helpful.

Note You need to log in before you can comment on or make changes to this bug.